import request from '@/config/axios'

// 查询流媒体服务器配置列表
export function listmediaServer(query) {
  return request.get({
    url: '/rq/yf-media-server/page',
   
    params: query
  })
}

// 查询流媒体服务器配置详细
export function getmediaServer() {
  return request.get({
    url: '/rq/yf-media-server/',
    
  })
}

// 新增流媒体服务器配置
export function addmediaServer(data) {
  return request.post({
    url: '/rq/yf-media-server/create',
    
    data: data
  })
}

// 修改流媒体服务器配置
export function updatemediaServer(data) {
  return request.put({
    url: '/rq/yf-media-server/update',
    
    data: data
  })
}

// 删除流媒体服务器配置
export function delmediaServer(id) {
  return request.delete({
    url: '/rq/yf-media-server/' + id,
   
  })
}

export function checkmediaServer(query) {
  return request.get({
    url: '/rq/yf-media-server/check' ,
    
    params: query
  })
}
